- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_PSDL_Add_Expr Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Add_Expr:

[legend]
Collaboration diagram for TAO_PSDL_Add_Expr:

[legend]
List of all members.

## Public Member Functions
| TAO_PSDL_Add_Expr (TAO_PSDL_Node *mult_expr)
| ****************************************************************
| TAO_PSDL_Add_Expr (TAO_PSDL_Node *add_expr, TAO_PSDL_Node *type, TAO_PSDL_Node *mult_expr)
virtual | ~TAO_PSDL_Add_Expr (void)
TAO_PSDL_Node * | type (void) const
| Get the value.
TAO_PSDL_Node * | add_expr (void) const
TAO_PSDL_Node * | mult_expr (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.
## Private Attributes
TAO_PSDL_Node * | add_expr_
| The values.
TAO_PSDL_Node * | type_
TAO_PSDL_Node * | mult_expr_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Add_Expr::TAO_PSDL_Add_Expr | ( | TAO_PSDL_Node * | mult_expr | ) |

****************************************************************

TAO_PSDL_Add_Expr::TAO_PSDL_Add_Expr | ( | TAO_PSDL_Node * | add_expr,
|  | TAO_PSDL_Node * | type,
|  | TAO_PSDL_Node * | mult_expr |
| ) |  |  |

TAO_PSDL_Add_Expr::~TAO_PSDL_Add_Expr | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Add_Expr::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

= The Node methods.

Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Add_Expr::add_expr | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Add_Expr::mult_expr | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Add_Expr::type | ( | void |  | ) | const

Get the value.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Add_Expr::add_expr_`[private]`

The values.

TAO_PSDL_Node* TAO_PSDL_Add_Expr::mult_expr_`[private]`

TAO_PSDL_Node* TAO_PSDL_Add_Expr::type_`[private]`

Reimplemented from TAO_PSDL_Node.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp